Cupti: CUpti_ActivityMemoryPool2 Struct Reference

# CUpti_ActivityMemoryPool2 Struct Reference
[CUPTI Activity API]

The activity record for memory pool. More...

## Data Fields
uint64_t | address
uint32_t | correlationId
uint32_t | deviceId
CUpti_ActivityKind | kind
CUpti_ActivityMemoryPoolOperationType | memoryPoolOperationType
CUpti_ActivityMemoryPoolType | memoryPoolType
size_t | minBytesToKeep
uint32_t | pad
uint32_t | processId
uint64_t | releaseThreshold
uint64_t | size
uint64_t | timestamp
uint64_t | utilizedSize

## Detailed Description

This activity record represents a memory pool creation, destruction and trimming (CUPTI_ACTIVITY_KIND_MEMORY_POOL). This activity record provides separate records for memory pool creation, destruction and triming operations. This allows to correlate the corresponding driver and runtime API activity record with the memory pool operation.

## Field Documentation

uint64_t CUpti_ActivityMemoryPool2::address

The virtual address of the allocation.

uint32_t CUpti_ActivityMemoryPool2::correlationId

The correlation ID of the memory pool operation. Each memory pool operation is assigned a unique correlation ID that is identical to the correlation ID in the driver and runtime API activity record that launched the memory operation.

uint32_t CUpti_ActivityMemoryPool2::deviceId

The ID of the device where the memory pool is created.

CUpti_ActivityKind CUpti_ActivityMemoryPool2::kind

The activity record kind, must be CUPTI_ACTIVITY_KIND_MEMORY_POOL

CUpti_ActivityMemoryPoolOperationType CUpti_ActivityMemoryPool2::memoryPoolOperationType

The memory operation requested by the user, CUpti_ActivityMemoryPoolOperationType.

CUpti_ActivityMemoryPoolType CUpti_ActivityMemoryPool2::memoryPoolType

The type of the memory pool, CUpti_ActivityMemoryPoolType

size_t CUpti_ActivityMemoryPool2::minBytesToKeep

The minimum bytes to keep of the memory pool. `minBytesToKeep` is valid for CUPTI_ACTIVITY_MEMORY_POOL_OPERATION_TYPE_TRIMMED, CUpti_ActivityMemoryPoolOperationType

uint32_t CUpti_ActivityMemoryPool2::pad

Undefined. Reserved for internal use.

uint32_t CUpti_ActivityMemoryPool2::processId

The ID of the process to which this record belongs to.

uint64_t CUpti_ActivityMemoryPool2::releaseThreshold

The release threshold of the memory pool. `releaseThreshold` is valid for CUPTI_ACTIVITY_MEMORY_POOL_TYPE_LOCAL, CUpti_ActivityMemoryPoolType.

uint64_t CUpti_ActivityMemoryPool2::size

The size of the memory pool operation in bytes. `size` is valid for CUPTI_ACTIVITY_MEMORY_POOL_TYPE_LOCAL, CUpti_ActivityMemoryPoolType.

uint64_t CUpti_ActivityMemoryPool2::timestamp

The start timestamp for the memory operation, in ns.

uint64_t CUpti_ActivityMemoryPool2::utilizedSize

The utilized size of the memory pool. `utilizedSize` is valid for CUPTI_ACTIVITY_MEMORY_POOL_TYPE_LOCAL, CUpti_ActivityMemoryPoolType.